=== modified file 'nvdaHelper/remote/winword.cpp'
--- nvdaHelper/remote/winword.cpp	2013-03-13 03:11:22 +0000
+++ nvdaHelper/remote/winword.cpp	2013-03-19 08:36:27 +0000
@@ -52,6 +52,7 @@
 #define wdDISPID_SPELLINGERRORS_COUNT 1
 #define wdDISPID_RANGE_FONT 5
 #define wdDISPID_FONT_COLOR 159
+#define wdDISPID_FONT_BACKGROUNDCOLOR 160
 #define wdDISPID_FONT_BOLD 130
 #define wdDISPID_FONT_ITALIC 131
 #define wdDISPID_FONT_UNDERLINE 140
@@ -376,8 +377,13 @@
 			if((formatConfig&formatConfig_reportFontSize)&&(_com_dispatch_raw_propget(pDispatchFont,wdDISPID_FONT_SIZE,VT_I4,&iVal)==S_OK)) {
 				formatAttribsStream<<L"font-size=\""<<iVal<<L"pt\" ";
 			}
-			if((formatConfig&formatConfig_reportColor)&&(_com_dispatch_raw_propget(pDispatchFont,wdDISPID_FONT_COLOR,VT_I4,&iVal)==S_OK)) {
-				formatAttribsStream<<L"color=\""<<iVal<<L"\" ";
+			if(formatConfig&formatConfig_reportColor) {
+				if(_com_dispatch_raw_propget(pDispatchFont,wdDISPID_FONT_COLOR,VT_I4,&iVal)==S_OK) {
+					formatAttribsStream<<L"color=\""<<iVal<<L"\" ";
+				}
+				if(_com_dispatch_raw_propget(pDispatchFont,wdDISPID_FONT_BACKGROUNDCOLOR,VT_I4,&iVal)==S_OK) {
+					formatAttribsStream<<L"background-color=\""<<iVal<<L"\" ";
+				}
 			}
 			if(formatConfig&formatConfig_reportFontAttributes) {
 				if(_com_dispatch_raw_propget(pDispatchFont,wdDISPID_FONT_BOLD,VT_I4,&iVal)==S_OK&&iVal) {



=== modified file 'source/NVDAObjects/window/winword.py'
--- source/NVDAObjects/window/winword.py	2013-03-13 23:20:49 +0000
+++ source/NVDAObjects/window/winword.py	2013-03-19 08:23:52 +0000
@@ -231,7 +231,16 @@
 	def _normalizeFormatField(self,field):
 		color=field.pop('color',None)
 		if color is not None:
-			field['color']=colors.RGB.fromCOLORREF(int(color))		
+			field['color']=colors.RGB.fromCOLORREF(int(color))
+		#log.info(color)
+		
+		#backgroundColor=gtbgc(self)
+		backgroundColor=field.pop('background-color',None)
+		#log.info(backgroundColor)
+		if backgroundColor is not None:
+			field['background-color']=colors.RGB.fromCOLORREF(int(backgroundColor))
+		log.info(field)
+		
 		try:
 			languageId = int(field.pop('wdLanguageId',0))
 			if languageId:
@@ -239,6 +248,7 @@
 		except:
 			log.debugWarning("language error",exc_info=True)
 			pass
+
 		return field
 
 	def _getLanguageFromLcid(self, lcid):

